package com.dinoparc.api.domain.dinoz;

import java.util.ArrayList;
import java.util.List;
import java.util.concurrent.ThreadLocalRandom;

public class NameUtils {
    public static List<String> names = new ArrayList<>(List.of(
            "Lydan",
            "Syrin",
            "Horik",
            "Tecko",
            "Varog",
            "Gethrod",
            "Hezra",
            "Feron",
            "Ophni",
            "Colborn",
            "Fintis",
            "Gatlin",
            "Jinto",
            "Hagalbar",
            "Krinn",
            "Lenox",
            "Revvyn",
            "Hodus",
            "Dimian",
            "Paskel",
            "Kontas",
            "Weston",
            "Azamarr",
            "Jather",
            "Tekren",
            "Jareth",
            "Adon",
            "Resha",
            "Varin",
            "Wren",
            "Yuni",
            "Talis",
            "Kessa",
            "Magaltie",
            "Aeris",
            "Desmina",
            "Krynna",
            "Asralyn",
            "Herra",
            "Pret",
            "Kory",
            "Afia",
            "Tessel",
            "Rhiannon",
            "Zara",
            "Jesi",
            "Kent",
            "Moki",
            "Rankar",
            "Lothe",
            "Ryven",
            "Clawsen",
            "Pakker",
            "Embre",
            "Cassian",
            "Verssek",
            "Dagfinn",
            "Ebraheim",
            "Nesso",
            "Eldermar",
            "Rivik",
            "Rourke",
            "Barton",
            "Hemm",
            "Juldolar",
            "Diablo4",
            "Pticha",
            "Blakksad",
            "Maggnus",
            "Jjange",
            "Ruscov",
            "Yusuke",
            "Megaotcho",
            "Saye123",
            "Rogerdewez",
            "Damanix",
            "Strigor",
            "Falbel",
            "Tam",
            "Crikko",
            "Mwerny",
            "Octavia",
            "Syborne",
            "Warp",
            "Lily",
            "Bahamut",
            "Venadek",
            "Taotie",
            "Pixiu",
            "Bastet",
            "Apophis",
            "Anubis",
            "Gargouille",
            "Karnabo",
            "Matagot",
            "Kobold",
            "Alastor",
            "Kronos",
            "Makara",
            "Kuyutha",
            "Ushi-oni",
            "Orias",
            "Jörmungandr",
            "Lusca",
            "Squonk",
            "Sylph",
            "Polevik",
            "Topielec",
            "Toyol",
            "Deepnight",
            "Tween",
            "Bumdum",
            "Orga",
            "Flash",
            "Lanmolas",
            "Octorok",
            "The Blob",
            "Gromble",
            "Gossamer",
            "Don Copal",
            "Barnacle",
            "Echinops",
            "Koago",
            "Champ"
    ));

    public static String getRandomName() {
        return names.get(ThreadLocalRandom.current().nextInt(names.size()));
    }
}
